Subject: Compiling Problem

From: Brad Dreisbach <[email-masked]>
Date: Thu, 16 Apr 98 10:49:45 -0400

I have a RedHAt 5.0 system with gcc 2.8.1.
Im trying to compile beta 15 release.  Everything except ftpd  
compiles.  This is the error i am getting.

Making ftpd.
gcc -O6 -fomit-frame-pointer -fno-strength-reduce -pipe -I..  
-I../support  -L../support -s -DVIRTUAL -DDIRENT_ILLEGAL_ACCESS   -c  
ftpd.c -o ftpd.o
In file included from ftpd.c:50:
config.h:42: warning: `VIRTUAL' redefined
*Initialization*:1: warning: this is the location of the previous  
definition
In file included from ftpd.c:53:
/usr/include/sys/param.h:29: warning: `NBBY' redefined
config.h:13: warning: this is the location of the previous definition
/usr/include/sys/param.h:35: warning: `NCARGS' redefined
config.h:49: warning: this is the location of the previous definition
ftpd.c: In function `main':
ftpd.c:383: warning: return type of `main' is not `int'
ftpd.c: In function `dataconn':
ftpd.c:2323: storage size of `timeout' isn't known
make: *** [ftpd.o] Error 1

Any help would be apprecriated. Thanks

Brad

________________________________________________
Brad Dreisbach * Network Operations * digitalNATION
http://www.dn.net * phone: 703.642.2800 * fax: 703.642.3747

*EXTREME UNIX*
~
:WQ
WQ: Not an editor command